.more-container {
    position: fixed;
    top: 10rem;
    left: 50%;
    width: 90%;
    height: 70%;
    transform: translateX(-50%);
    border-radius: 15px;
    backdrop-filter: blur(5px);
    background-color: rgba(0, 0, 0, 0.3);
    z-index: 2;
    opacity: 0;
    pointer-events: none;
    transition: all 0.5s;

    display: flex;
    flex-direction: column; /* 纵向排列 */
    justify-content: center; /* 垂直居中 */
    align-items: center; /* 水平居中 */

    overflow-y: auto; /* 允许纵向滚动 */
    /* overflow-x: hidden; */
    padding: 20px;
}
.more-scroll {
    width: 100%;
    height: 100%;
    overflow-y: scroll;
}
.more-scroll::-webkit-scrollbar {
    position: fixed;
    top: 0;
    width: 8px; /* 滚动条宽度 */
}

.more-scroll::-webkit-scrollbar-thumb {
    background-color: rgba(255, 255, 255, 0.5); /* 滚动条颜色 */
    border-radius: 10px; /* 滚动条圆角 */
    transition: 0.5ms;
}

.more-scroll::-webkit-scrollbar-thumb:hover {
    background-color: rgba(255, 255, 255, 0.8); /* 悬停时的滚动条颜色 */
}
.more-text-container {
    display: flex;
    flex-direction: column; /* 纵向排列 */
    justify-content: center; /* 垂直居中 */
    align-items: center; /* 水平居中 */
}
.more-text {
    font-size: 3rem;
    color: #ffffff;
    font-family: Pacifico,MiSans;
    letter-spacing: 1px;
    text-shadow: 0 0 10px rgba(255, 255, 255, 0.5);
    user-select: none;
    display: inline;
    opacity: 0;    /* 初始状态为透明 */
    transform: translateY(20px); /* 向下偏移 */
    transition: opacity 0.5s ease, transform 0.5s ease; /* 添加过渡效果 */
}

/* 使得文字可见的类 */
.more-text.show {
    opacity: 1;    /* 可见 */
    transform: translateY(0); /* 恢复位置 */
}